#specifying transition probability matrix
tm<- matrix(c(0.7, 0.1, 0.2, 0.0, 0.6, 0.4, 0.5, 0.2, 0.3), nrow=3, 
ncol=3, byrow=TRUE)

#transposing transition probability matrix
tm.tr<- t(tm)

#plotting diagram 
library(diagram)
plotmat(tm.tr, pos=c(1,2), arr.length=0.3, arr.width=0.1, 
box.col="light blue", box.lwd=1, box.prop=0.5, box.size=0.12,
box.type="circle", cex.txt=0.8, lwd=1, self.cex=0.6, 
self.shiftx=0.17, self.shifty=-0.01)

#computing three-step transition probability matrix
library(expm)
print(tm3<- tm%^%3)

#computing unconditional distribution after three steps
init.p<- c(1/3, 1/3, 1/3)
init.p%*%tm3

#creating Markov chain object
library(markovchain)
mc<- new("markovchain", transitionMatrix=tm, states=c("1", "2", "3"))

#computing Markov chain characteristics
recurrentClasses(mc)
transientClasses(mc)
absorbingStates(mc)
period(mc)
round(steadyStates(mc), digits=4)