#specifying transition probability matrix
tm<- matrix(c(0.3,0.7,0,0,0,0,1,0,0,0,0,0,0.5,0,0,0,0,0.5,
0,0,0.6,0,0,0.4,0,0,0,0,0.1,0.9,0,0,0,0,0.7,0.3), nrow=6, 
ncol=6, byrow=TRUE)

#transposing transition probability matrix
tm.tr<- t(tm)

#plotting diagram 
library(diagram)
plotmat(tm.tr, arr.length=0.3, arr.width=0.1, box.col="light blue", 
box.lwd=1, box.prop=0.5, box.size=0.09, box.type="circle", cex.txt=0.8, 
lwd=1, self.cex=0.3, self.arrpos=0.3, self.shiftx=0.09, self.shifty=-0.05)

#creating Markov chain object
library(markovchain)
mc<- new("markovchain", transitionMatrix=tm, states=c("1", "2", "3", "4", "5", "6"))

#computing Markov chain characteristics
recurrentClasses(mc)
transientClasses(mc)

#finding periods of irreducible Markov chains
tm12.ir<- matrix(c(0.3,0.7,1,0), nrow=2, ncol=2, byrow=TRUE)
mc12.ir<- new("markovchain", transitionMatrix=tm12.ir, states=c("1","2"))
period(mc12.ir)

tm56.ir<- matrix(c(0.1,0.9,0.7,0.3), nrow=2, ncol=2, byrow=TRUE)
mc56.ir<- new("markovchain", transitionMatrix=tm56.ir, states=c("5","6"))
period(mc56.ir)

#finding steady-state distribution
round(steadyStates(mc), digits=4)

