#specifying numeric values for parameters
p<- 0.55
i<- 10
N<- 20
ntraj<- 100000

#defining walk as vector
walk<- c()

#setting counters
nzeros<- 0
nNs<- 0
ngames<- 0

#setting seed number
set.seed(30112443)

#simulating trajectories until hitting N or 0
for (j in 1:ntraj) {
walk[1]<- i
k<- 2
  repeat {
   walk[k]<- ifelse(runif(1)<p, walk[k-1]+1, walk[k-1]-1)
   ngames<- ngames + 1
   
    if (walk[k]==N) {
      nNs<- nNs+1
       break 
    }
   
       else if(walk[k]==0) { 
          nzeros<- nzeros+1 
            break
        } 
k<- k+1
  }
}

print(prob.Ns<- nNs/ntraj)
print(prob.zeros <- nzeros/ntraj)
print(mean.ngames<- ngames/ntraj)

###########################################

p<- seq(0.35,0.65,0.001)
i<- 10
N<- 20
q<- 1-p
p.ruin<- ifelse(p==0.5,(N-i)/N,((q/p)^i-(q/p)^N)/(1-(q/p)^N))

plot(p, p.ruin, type="l", lwd=2, col="red", xlab="p", ylab="Probability", panel.first=grid())

lines(p, 1-p.ruin, lwd=2, col="green")

legend("right", c("Probability of $0", "Probability of $N"), lty=1, col=2:3)

###########################################

p<- seq(0.01,1,0.01)
i<- 10
N<- 20
q<- 1-p
E.ngames<- ifelse(p==0.5,i*(N-i), (i-N*(1-(q/p)^i)/(1-(q/p)^N))/(1-2*p))

plot(p, E.ngames, type="l", lwd=2, col="green", xlab="p", ylab="Expected number of games",
panel.first=grid())

