reliability.data<- read.csv(file="C:/Users/000110888/Desktop/reliabilitydata.csv", 
header=TRUE, sep=",")

###################################################
#linear regression method of estimation (METHOD 1)
###################################################
x<- log(reliability.data$time)
y<- log(reliability.data$nfailures)

glm(y~x)

plot(x,y, xlab="ln(time)", ylab="ln(nfailures)")
lines(x, -0.6854+1.2570*x)

#verification of the formula
N<- 30

print(beta1.hat<- (sum(x*y)-log(factorial(N))*mean(x))/(sum(x^2)-N*(mean(x))^2))
print(alpha1.hat<- exp(log(factorial(N))/N-beta1.hat*mean(x)))


###################################################
#maximum likelihood method of estimation (METHOD 2)
###################################################

print(beta2.hat<- N/(N*x[N]-sum(x)))
print(alpha2.hat<- N/exp(x[N]*beta2.hat))

###################################################
#expected value of S_{k+1} given s_k
###################################################
library(pracma)
alpha2.hat^(-1/beta2.hat)*exp(alpha2.hat*exp(x[N])^beta2.hat)*
gammainc(alpha2.hat*exp(x[N])^beta2.hat, 1/beta2.hat+1)[2]
alpha2.hat^(-1/beta2.hat)*exp(alpha2.hat*exp(x[N])^beta2.hat)*
gammainc(alpha2.hat*exp(x[N])^beta2.hat, 1/beta2.hat+1)[2]