#specifying parameters
lambda<- function(s) 10+10*cos(2*pi*s)
lambda.star<- function(s) 20
Lambda.star<- function(s) 20*s

#specifying seed
set.seed(2866514)

#generating N(t)
njumps<- rpois(1, Lambda.star(10))

#generating N(t) standard uniforms
u<- c()
u[1]<- 0

for(i in 2:(njumps+1))
  u[i]<- runif(1)

#computing event times
time.star<- 10*sort(u) 

#thinning event times
accepted<- c()
time<- c()
accepted[1]<- 1
time[1]<- 0

for (i in 2:(njumps+1)) {
if (runif(1)<= lambda(time.star[i])/lambda.star(time.star[i]))
  accepted[i]=1 else accepted[i]=0
}

time<- time.star[-which(accepted==0)]
N<- 0:(length(time)-1)

#plotting trajectory
plot(time, N, type="n", xlab="Time", ylab="State", panel.first = grid())

segments(time[-length(time)],N[-length(time)], time[-1]-0.07, 
N[-length(time)], lwd=2, col="blue")

points(time, N, ylim=c(0,120), pch=20, col="blue")
points(time[-1],N[-length(time)],pch=1, col="blue")

