#specifying parameters
p<- c(0.3,0.7)
lambda<- c(4, 0.5)
njumps<- 20

#specifying states and times as data frames
time<- data.frame()
N<- data.frame()

#specifying seed
set.seed(6335044)

#simulating trajectories 
for(j in 1:5)  {
  
#fixing the value for rate
Lambda<- lambda[sample(1:2, 1, prob=p)]

#setting initial values
time[1,j]<- 0
N[1,j]<- 0

#simulating trajectory
i<- 2

repeat {
time[i,j]<- time[i-1,j]+round((-1/Lambda)*log(runif(1)),3)-0.001
N[i,j]<- N[i-1,j]
  
if(i==2*njumps+2) break
else {
  time[i+1,j]<- time[i,j]+0.001
    N[i+1,j]<- N[i,j]+1
      i<- i+2
   }
}
}

#plotting trajectories
matplot(time, N, type="l", lty=1, lwd=2, col=c("blue", "green", "red", 
"purple", "orange"), xlab="Time", ylab="State",
panel.first=grid())
